using SqlSugar;

namespace OpenAuth.Repository.Domain;


[SugarTable("lasa_aiinspection")]
public class LasaAiInspection
{
    [SugarColumn(ColumnName = "Id", IsPrimaryKey = true)]
    public string Id { get; set; }

    /// <summary>
    /// 算法实例Id
    /// </summary>
    [SugarColumn(ColumnName = "AlgoInstanceId")]
    public string AlgoInstanceId { get; set; }

    /// <summary>
    /// 告警标题
    /// </summary>
    [SugarColumn(ColumnName = "WarningTitle")]
    public string WarningTitle { get; set; }

    /// <summary>
    /// 告警内容
    /// </summary>
    [SugarColumn(ColumnName = "WarningContent")]
    public string WarningContent { get; set; }

    /// <summary>
    ///  飞行任务id
    /// </summary>
    [SugarColumn(ColumnName = "TaskId")]
    public string TaskId { get; set; }
}